# module IO::Syscall

## Direct including types

- Socket

## Defined in:

## Instance Method Summary

- #read_syscall_helper(slice : Bytes, errno_msg : String, &block) : Int32
- #read_timeout : Time::Span?

  Returns the time to wait when reading before raising an `IO::Timeout`.

- #read_timeout=(read_timeout : Number) : Number

  Set the number of seconds to wait when reading before raising an `IO::Timeout`.

- #read_timeout=(timeout : Time::Span?) : Time::Span?

  Sets the time to wait when reading before raising an `IO::Timeout`.

- #write_syscall_helper(slice : Bytes, errno_msg : String, &block) : Nil
- #write_timeout : Time::Span?

  Returns the time to wait when writing before raising an `IO::Timeout`.

- #write_timeout=(write_timeout : Number) : Number

  Set the number of seconds to wait when writing before raising an `IO::Timeout`.

- #write_timeout=(timeout : Time::Span?) : Time::Span?

  Sets the time to wait when writing before raising an `IO::Timeout`.

## Instance Method Detail

def read_syscall_helper(slice : Bytes, errno_msg : String, &block) : Int32 #
def read_timeout : Time::Span? #

Returns the time to wait when reading before raising an `IO::Timeout`.

def read_timeout=(read_timeout : Number) : Number #

Set the number of seconds to wait when reading before raising an `IO::Timeout`.

def read_timeout=(timeout : Time::Span?) : Time::Span? #

Sets the time to wait when reading before raising an `IO::Timeout`.

def write_syscall_helper(slice : Bytes, errno_msg : String, &block) : Nil #
def write_timeout : Time::Span? #

Returns the time to wait when writing before raising an `IO::Timeout`.

def write_timeout=(write_timeout : Number) : Number #

Set the number of seconds to wait when writing before raising an `IO::Timeout`.

def write_timeout=(timeout : Time::Span?) : Time::Span? #

Sets the time to wait when writing before raising an `IO::Timeout`.